Subject: [mpls] draft-ietf-mpls-lsp-ping-mpls-tp-oam-conf-10 was RE: MPLS-RT review of draft-mirsky-mpls-bfd-directed-03

From: David Allan I <[email-masked]>
Date: Tue, 4 Aug 2015 18:14:06 +0000

Ooops my bad.... Too many messages. My comments apply to draft-ietf-mpls-lsp-ping-mpls-tp-oam-conf-10...

Sorry for any confusion
D

From: David Allan I
Sent: Tuesday, August 04, 2015 10:27 AM
To: 'Ross Callon'; Gregory Mirsky
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: MPLS-RT review of draft-mirsky-mpls-bfd-directed-03

Hi

I've read the document and believe it to be close to complete.

My only concerns are

1)      Given a configuration message can support configuring multiple tests at a time, what are the actual consequences of one or more errors. Are those requests only invalidated or is are all the sub-TLVs in a request invalidated. IMO this should be clarified. Given that there are classes of error that should invalidate the entire request, and those that do not necessarily do so, it might be easiest to make a blanket statement that any error invalidates the entire message.

2)      The IANA considerations section is missing sub-TLV types 300 and 400.

If these items were addressed, I would be supportive of the document progressing.

Cheers
D